<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Group extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
         
        $this->load->model('Mgroup');
        $this->load->library('form_validation');        
	$this->load->library('datatables');
    }

    public function index()
    {
        $this->template->load('Welcome/halaman','group/group_list');
    }     
    public function json() {
        header('Content-Type: application/json');
        echo $this->Mgroup->json();
    }

  

    public function create() 
    {
        $data = array(
            'button'     => 'Tambah Role',
            'action'     => site_url('Setting/group/create_action'),
            'kode_grup' => set_value('kode_grup'),
            'nama_grup' => set_value('nama_grup'),
	);
        $this->template->load('Welcome/halaman','group/group_form', $data);
    }
    
    public function create_action() 
    {

        $data = array(
		'NAMA_ROLE' => $this->input->post('nama_grup',TRUE),
	    );

            $this->Mgroup->insert($data);
            // $this->session->set_flashdata('message', '<button type="button" class="btn btn-danger"> Berhasil Menambah Grup</button>');
            redirect(site_url('Setting/group'));
    }
    
    public function update($id) 
    {
        $id=rapikan($id);
        $row = $this->Mgroup->get_by_id($id);

        if ($row) {
            $data = array(
                'button'     => 'Edit Grup ',
                'action'     => site_url('Setting/group/update_action'),
                'kode_grup' => set_value('kode_grup', $row->ID_INC),
                'nama_grup' => set_value('nama_grup', $row->NAMA_ROLE),
	    );
            $this->template->load('Welcome/halaman','group/group_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('setting/group'));
        }
    }
    
    public function update_action() 
    {
            $data = array(
        		'NAMA_ROLE' => $this->input->post('nama_grup',TRUE),
        	    );

            $this->Mgroup->update($this->input->post('kode_grup', TRUE), $data);
            // $this->db->query("commit");
            // $this->session->set_flashdata('message', '<button type="button" class="btn btn-danger"> Berhasil Update Grup</button>');
            redirect(site_url('Setting/group'));
    }
    
    public function delete($id) 
    {
        $id=rapikan($id);
        $row = $this->Mgroup->get_by_id($id);

        if ($row) {
            $this->Mgroup->delete($id);
            $this->db->query("commit");
            $this->session->set_flashdata('message', '<button type="button" class="btn btn-danger"> Berhasil Hapus Grup</button>');
            redirect(site_url('Setting/group'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('Setting/group'));
        }
    }

    public function _rules() 
    {
	$this->form_validation->set_rules('nama_group', 'nama group', 'trim|required');

	$this->form_validation->set_rules('kode_group', 'kode_group', 'trim');
	$this->form_validation->set_error_delimiters('<span class="label label-danger ">', '</span>');
    }

    function test(){
        $rk=$this->db->query("select * from p_group")->result();
        echo "<pre>";
        print_r($rk);
        echo "<pre>";
    }

}

/* End of file Group.php */
/* Location: ./application/controllers/Group.php */
/* Generated by Mohamad Wahyu Dewantoro 2017-04-28 01:25:45 */
